2024-04-24 11:21 CEST

View Issue Details Jump to Notes ]
IDProjectCategoryView StatusLast Update
0005081TomAndJerry2[All Projects] Generalpublic2021-04-02 20:38
ReporterIrek 
Assigned ToCFOUProject InfoTom And Jerry (Magic Bytes)
http://www.whdload.de/games/TomAndJerry2.html
 
PrioritynormalSeverityminorReproducibilityalways
StatusclosedResolutionfixed 
Summary0005081: Hello, I have some problems with the game on my (040 CPu and WinUAE) -gfx
DescriptionGameVersion: english,pal,1 disks
SlaveVersion: 1.0 from 23.03.2021

Hello,
I have some problems with the game on my (040 CPu and WinUAE)
-gfx problems in main character (only 040 CPU)
-The game intro with MagicByte and Jerry is not displayed at all. (both versions of Tom and Jerry (1 and 2) are affected))
-No sound and music in the game (Both versions of Tom and Jerry (1 and 2) are affected)
Regards,
Irek
TagsNo tags attached.
MachineA1200
CPU68040
CPUSpeed25
ChipSetAGA
GFXCardNone
ChipMem2 MB
FastMem128 MB
WorkbenchOS 3.9
KickROM40 - Kick 3.1
KickSoft40 - Kick 3.1
WHDLoad18.6
importedyes
Attached Files

-Relationships
+Relationships

-Notes

note ~0009783

CFOU (developer)

Last edited: 2021-03-28 14:13

View 2 revisions

hi,

gfx bug can be removed using ExpChip

And i have skipped by error magic bytes logo.

but there are no music problem in winuae

note ~0009784

CFOU (developer)

indeed logo intro is launch via bootblock using TrackDisk device (250000 ko missing data needed to see it ;))

note ~0009786

Irek (reporter)

I have 2 versions of this game here. one version with sound and music in the game and one without->(kind of magic 2 version)

note ~0009787

Irek (reporter)

Strange, I just tested the kind of magic version on WinUAE (ADF) and the sound works there too. It seems that the game is having problems on an A1200

note ~0009788

CFOU (developer)

hi,

can you test beta attached version before release (for Tom & jerry 1)?

WARNING!!

You need re-install game using new install script to extract logo animation data!!

note ~0009789

CFOU (developer)

now for Tom & Jerry 2
Attached new version for test:

Can you try with SPS 1506 & SPS 2229?

I have music with both version and logo animations now

note ~0009790

retrogamer (reporter)

Please Cfou can you reduce memory usage 512kb chip and 256kb for the kickemu.

note ~0009792

Irek (reporter)

I was only able to test the Tom & Jerry2 version (unfortunately the other one is not there, unfortunately I have no access to the SPS stuff)
The intro works now ok, the sound is there too (sounds a bit perturbed) Unfortunately I still have no sound in the game.

PS; I have uploaded a few icons for both versions, if you like it you can use it.

note ~0009794

CFOU (developer)

Hi
3 IPF's versions are uploaded in TheZone! on EAB home page

note ~0009797

retrogamer (reporter)

I have attached the manual for Tom & Jerry:Hunting high & low please can you include it to the next update CFOU?

note ~0009807

Irek (reporter)

Hi,
I tried it today on my 040 CPU and both parts of Tom & Jerry have no sound in the game. The intro works now with sounds a bit distorted at the beginning in both cases.

note ~0009809

CFOU (developer)

Last edited: 2021-03-29 23:07

View 2 revisions

tested on real 1200+blizzard 1260

no music & sound too.

but i am not again found reason (perhaps son SMC in music code to verify...

on winuae: sounf=d with all my config tests

note ~0009818

Irek (reporter)

I've tried the two parts with snoopsocs option on real 1200 with 040 CPU,
both parts crash with the same error after the intro. (See attachment)

note ~0009819

CFOU (developer)

Last edited: 2021-04-01 17:15

View 2 revisions

thank.

it's interesting way. but i don't no an odd address à DMA AUDIOVOl can cause trouble on some configurations... I am never meet this problem before.

can you post report file for T&J2 both versions?

iundeed uploaded version named T&J2 contains a file that concerns T&J1...

note ~0009824

Irek (reporter)

sorry for the late answer, yesterday I had a serious hardware problem on my main Amiga. After many hours of work, it works again. (I suspect that the power supply is slowly breaking down or my 040 blizzard card is causing problems)

I have now uploaded the wgdl register file. That looks like the same error as in part 1.

note ~0009828

StingRay (developer)

@CFOU: The problem is not the odd address access, custom registers all are word sized hence byte writes are illegal. On 040/060 machines the byte write to AudXVol will cause the sound not to be replayed properly. Many many old replay routines have this bug, it's present in a lot of demos and games. Luckily it's very easy fix though (either write to AudXVol+1 or clip the value and write a word, I prefer the latter approach).

note ~0009833

CFOU (developer)

fixed with v1.2 soon released
+ manual
+ icons

music & sound works fine now on blizzad 060

Thakns Irek for bug report & icons
+Notes

-Issue History
Date Modified Username Field Change
2021-03-27 21:44 administrator New Issue
2021-03-27 21:44 administrator Status new => assigned
2021-03-27 21:44 administrator Assigned To => CFOU
2021-03-28 13:58 CFOU Note Added: 0009783
2021-03-28 14:13 CFOU Note Edited: 0009783 View Revisions
2021-03-28 14:39 CFOU Note Added: 0009784
2021-03-28 15:13 Irek Note Added: 0009786
2021-03-28 15:43 Irek Note Added: 0009787
2021-03-28 15:50 CFOU File Added: TomandJerry1-beta.lha
2021-03-28 15:50 CFOU Note Added: 0009788
2021-03-28 16:20 CFOU File Added: TomAndJerry2-beta.lha
2021-03-28 16:20 CFOU Note Added: 0009789
2021-03-28 17:03 retrogamer Note Added: 0009790
2021-03-28 18:47 Irek File Added: Icons.lha
2021-03-28 18:47 Irek Note Added: 0009792
2021-03-28 20:09 CFOU Note Added: 0009794
2021-03-28 22:03 retrogamer File Added: Tom&JerryHuntinghigh&lowmanual.zip
2021-03-28 22:06 retrogamer Note Added: 0009797
2021-03-29 20:02 Irek Note Added: 0009807
2021-03-29 23:06 CFOU Status assigned => confirmed
2021-03-29 23:06 CFOU Note Added: 0009809
2021-03-29 23:07 CFOU Note Edited: 0009809 View Revisions
2021-04-01 14:49 Irek File Added: T&J2.whdl.reg.lha
2021-04-01 14:49 Irek Note Added: 0009818
2021-04-01 14:50 Irek File Added: T&J.whdl.reg.lha
2021-04-01 17:14 CFOU Note Added: 0009819
2021-04-01 17:15 CFOU Note Edited: 0009819 View Revisions
2021-04-02 10:48 Irek File Added: whdl.register.lha
2021-04-02 10:48 Irek Note Added: 0009824
2021-04-02 17:28 StingRay Note Added: 0009828
2021-04-02 20:38 CFOU Status confirmed => closed
2021-04-02 20:38 CFOU Resolution open => fixed
2021-04-02 20:38 CFOU Note Added: 0009833
+Issue History